# QBitArray Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QBitArray()
- void QBitArray(QBitArray other)
- void QBitArray(int size, bool val)

### Constructor Properties

- prototype: The QBitArray prototype object

### Prototype Object Properties

- bool at(int i)
- void clear()
- void clearBit(int i)
- int count()
- void fill(bool val, int first, int last)
- bool isEmpty()
- bool isNull()
- QBitArray operator_and_assign(QBitArray arg__1)
- QBitArray operator_assign(QBitArray other)
- bool operator_equal(QBitArray a)
- QBitArray operator_negate()
- QBitArray operator_or_assign(QBitArray arg__1)
- QBitArray operator_xor_assign(QBitArray arg__1)
- void readFrom(QDataStream arg__1)
- void resize(int size)
- void setBit(int i)
- int size()
- void swap(QBitArray other)
- bool testBit(int i)
- bool toggleBit(int i)
- void truncate(int pos)
- void writeTo(QDataStream arg__1)

### Instance Properties

QBitArray objects have no special properties beyond those inherited from the QBitArray prototype object.